Commit 818643e7 authored by Vadim Zhukov's avatar Vadim Zhukov

Do not version private libraries.

Those libraries are "private" to Kid3, and versioning them results in
a wrong feeling of those libraries having a public API. Furthermore,
versioning is done without respect to rules of the environment the Kid3
is built for (e.g., on OpenBSD shared libraries have ".major.minor"
suffix, unlike ".major.minor.patch + symlinks" on Linux).
parent 58ab2519
......@@ -175,7 +175,6 @@ target_compile_definitions(kid3-core
PUBLIC QT_ASCII_CAST_WARNINGS QT_NO_CAST_TO_ASCII QT_NO_URL_CAST_FROM_STRING QT_STRICT_ITERATORS QT_NO_EXCEPTIONS QT_NO_STL
)
set_target_properties(kid3-core PROPERTIES VERSION ${KID3_VERSION})
if(CMAKE_VERSION VERSION_GREATER "3.8")
target_compile_features(kid3-core PUBLIC cxx_std_11)
else()
......
......@@ -109,7 +109,6 @@ target_include_directories(kid3-gui PRIVATE widgets PUBLIC dialogs forms)
target_compile_definitions(kid3-gui PRIVATE KID3_BUILD_GUI_LIB)
set_target_properties(kid3-gui PROPERTIES VERSION ${KID3_VERSION})
target_link_libraries(kid3-gui kid3-core Qt5::Widgets Qt5::Multimedia)
if(BUILD_SHARED_LIBS)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment